# $Revision: 1.47 $, $Date: 2006/10/08 22:07:44 $
Summary:	Bluetooth utilities
Summary(pl):	Narzdzia Bluetooth
Name:		bluez-utils
Version:	3.7
Release:	1
Epoch:		0
License:	GPL v2
Group:		Applications/System
#Source0Download: http://www.bluez.org/download.html
Source0:	http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	89f7290907d098163a2fa59a55dfafe7
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-udev.rules
Source4:	%{name}-udev.script
Patch0:		%{name}-etc_dir.patch
URL:		http://www.bluez.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	bluez-libs-devel >= 3.7
BuildRequires:	dbus-glib-devel >= 0.35
BuildRequires:	libtool
BuildRequires:	libusb-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
# for future use (ALSA plugins not finished)
#BuildRequires:	alsa-lib-devel >= 0.9
# for future use (fuse module is just testing stub now)
#BuildRequires:	libfuse-devel
#BuildRequires:	openobex-devel >= 1.1
Requires:	bluez-libs >= 3.7
Requires:	rc-scripts
Obsoletes:	bluez-pan
Obsoletes:	bluez-sdp
Obsoletes:	bluez-utils-init
Conflicts:	bluez-bluefw
ExcludeArch:	s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# currently lib, not %{_lib} (see cups.spec)
%define		cupsdir		/usr/lib/cups/backend

%description
Bluetooth utilities:
 - hcitool
 - hciattach
 - hciconfig
 - hcid
 - l2ping
 - start scripts (PLD)
 - PCMCIA configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description -l pl
Narzdzia Bluetooth:
 - hcitool
 - hciattach
 - hciconfig
 - hcid
 - l2ping
 - skrypty startowe (PLD)
 - pliki konfiguracji PCMCIA

%package -n cups-backend-bluetooth
Summary:	Bluetooth backend for CUPS
Summary(pl):	Backend Bluetooth dla CUPS-a
Group:		Applications/Printing
Requires:	bluez-libs >= 3.7
Requires:	cups

%description -n cups-backend-bluetooth
Bluetooth backend for CUPS.

%description -n cups-backend-bluetooth -l pl
Backend Bluetooth dla CUPS-a.

%package init
Summary:	Init script for Bluetooth subsystem
Summary(pl):	Skrypt init dla podsystemu Bluetooth
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description init
Init script for Bluetooth subsystem.

%description init -l pl
Skrypt init dla podsystemu Bluetooth.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-avctrl \
	--enable-bccmd \
	--enable-cups \
	--enable-dfutool \
	--enable-pcmciarules \
	--with-cups=/usr
%{__make} \
	cupsdir=%{cupsdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install -d $RPM_BUILD_ROOT{/etc/udev/rules.d,/lib/udev}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	cupsdir=%{cupsdir} \
	udevdir=/lib/udev

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/bluetooth
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/bluetooth
install %{SOURCE3} $RPM_BUILD_ROOT/etc/udev/rules.d/70-bluetooth.rules
install %{SOURCE4} $RPM_BUILD_ROOT/lib/udev/bluetooth.sh
install hcid/passkey-agent $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT/etc/udev/bluetooth.rules \
	$RPM_BUILD_ROOT/etc/udev/rules.d/71-bluetooth.rules

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add bluetooth
%service bluetooth restart

%preun init
if [ "$1" = "0" ]; then
	%service bluetooth stop
	/sbin/chkconfig --del bluetooth
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%attr(754,root,root) /etc/rc.d/init.d/bluetooth
%attr(755,root,root) /lib/udev/bluetooth.sh
%attr(755,root,root) /lib/udev/bluetooth_serial
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/70-bluetooth.rules
%config(noreplace) %verify(not md5 mtime size) /etc/udev/rules.d/71-bluetooth.rules

%dir /etc/bluetooth
%dir /etc/sysconfig/bluetooth
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/bluetooth
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bluetooth/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/system.d/*

%files -n cups-backend-bluetooth
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/lib/cups/backend/bluetooth

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bluez-utils.spec,v $
Revision 1.47  2006/10/08 22:07:44  qboosh
- updated to 3.7

Revision 1.46  2006/09/24 18:52:36  luzik
- added passkey-agent

Revision 1.45  2006/09/17 02:04:22  wolvverine
- up to 3.5

Revision 1.44  2006/08/28 19:10:25  qboosh
- needs bluez-libs 3.4

Revision 1.43  2006/08/28 17:25:47  wolvverine
- up to 3.4

Revision 1.42  2006/08/23 18:06:16  qboosh
- updated dbus BR, enabled more utils

Revision 1.41  2006/08/23 17:11:16  wrobell
- added missing directory

Revision 1.40  2006/08/23 17:09:33  wrobell
- ver. 3.3
- bluez utils init script back to main package (udev acts as hotplug...
  less or more)
- updated URL

Revision 1.39  2006/06/06 12:11:55  qboosh
- merged invalid-timeval,poll-timeout patches and files update from AC-branch

Revision 1.38  2006/04/28 18:50:36  arekm
- ups

Revision 1.37  2006/04/28 18:47:00  arekm
- rel 3

Revision 1.36  2006/02/24 15:20:04  glen
- use %service

Revision 1.35  2006/02/03 15:46:15  glen
- chkconfig must be run in preun, rel 2; STBR

Revision 1.34  2006/01/24 18:28:09  arekm
- updated deps

Revision 1.33  2006/01/23 13:11:32  wrobell
- ver. 2.25

Revision 1.32  2005/09/19 21:02:33  qboosh
- BR+R bluez-libs >= 2.21

Revision 1.31  2005/09/11 21:32:01  blekot
- up to 2.21
- dbus patch already included in sources.
- some memory leaks bug closed.
- STBR!!!!!

Revision 1.30  2005/08/18 15:59:22  glen
- todo security

Revision 1.29  2005/05/19 19:35:28  wrobell
- support for dbus 0.3x (patches from fedora)
- rel. 2

Revision 1.28  2005/05/12 17:37:52  qboosh
- not ready for dbus 0.31

Revision 1.27  2005/05/12 06:55:08  leafnode
- updated to 2.17

Revision 1.26  2005/03/13 12:58:58  wiget
- updated to 2.15

Revision 1.25  2005/02/13 21:52:05  adamg
- blues is not obsolete (yet); release 2

Revision 1.24  2004/11/21 14:21:12  qboosh
- updated to 2.11; use just "Epoch: 0" instead of relying on rpm macro

Revision 1.23  2004/11/11 19:48:18  saq
- mass commit: using %{epoch} without explicit Epoch: declaration
  requires a modern rpm

Revision 1.22  2004/08/26 22:42:43  qboosh
- Conflicts: bluez-bluefw (hotplug stuff)

Revision 1.21  2004/08/26 22:20:42  qboosh
- udpated to 2.10, removed obsolete opt,cups patches

Revision 1.20  2004/07/23 13:44:11  pluto
- updated to 2.8.

Revision 1.19  2004/06/18 23:44:26  qboosh
- Obsoletes: bluez-pan

Revision 1.18  2004/06/03 04:55:09  wrobell
- init script moved into init subpackage (initscripts is not required for
  those who use hotplug)
- minor description fixes
- rel. 2

Revision 1.17  2004/05/20 23:36:12  qboosh
- updated to 2.7, removed obsolete sdp patch, added cups patch

Revision 1.16  2004/04/11 13:47:21  qboosh
- updated to 2.6 (for bluez-libs 2.6), obsoletes bluez-sdp
- updated opt,etc_dir patches, added sdp patch

Revision 1.15  2003/12/22 15:47:19  eothane
- updated to 2.4

Revision 1.14  2003/08/18 08:07:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/08/06 16:36:46  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.12  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:46:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/16 15:04:11  qboosh
- fixed bluepin path in hcid.conf, started PLDified init script

Revision 1.9  2003/04/15 12:03:54  qboosh
- added opt patch

Revision 1.8  2003/04/15 11:42:03  qboosh
- TODO: PLDify init script

Revision 1.7  2003/04/15 11:38:06  qboosh
- updated to 2.3

Revision 1.6  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.5  2003/03/23 19:39:37  juandon
- added home_etc.patch
- Release 3

Revision 1.4  2003/03/10 20:14:17  qboosh
- pl description (but changed note about init scripts - it isn't RedHat)
- fixed some perms, added noreplace and verify for config files

Revision 1.3  2003/02/25 18:01:17  wiget
- more PLDization

Revision 1.2  2003/02/25 17:15:24  wiget
- adapterized
